Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	xine-ui is a GUI for xine.
Name:      	xine-ui
Version:   	0.99.6
Release:   	1
Provides:	xine-ui
License: 	GNU/GPL
URL:		http://www.xinehq.de
Group:     	Video
Source0: 	xine-ui-%{version}.tar.xz
Source1:	xine.desktop
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:  openssl-devel
BuildRequires:  libidn-devel
BuildRequires:  libXt-devel
BuildRequires:  libXi-devel

Requires:	xine-lib

#Automatically resolved build dependencies
BuildRequires: aalib-devel
BuildRequires: curl-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: gpm-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrender-devel
BuildRequires: libXtst-devel
BuildRequires: libXv-devel
BuildRequires: libXxf86vm-devel
BuildRequires: ncurses-devel
BuildRequires: readline-devel
BuildRequires: xine-lib-devel
BuildRequires: zlib-devel

%description
xine-ui is a GUI for xine.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--disable-debug \
--disable-lirc
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_ROOT%_datadir/xine/desktop
install -m 755 -d $RPM_BUILD_ROOT%_datadir/applications
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%_datadir/applications

%files
%defattr(-,root,root)
%{_bindir}/aaxine
%{_bindir}/fbxine
%{_bindir}/xine
%{_bindir}/xine-bugreport
%{_bindir}/xine-check
%{_bindir}/xine-remote
%{_applications}/xine.desktop
%{_docdir}/xine-ui
%{_docdir}/xitk
%{_datadir}/icons/hicolor/*/apps/xine.png
%{_locale}/*/LC_MESSAGES/xine-ui.mo
%{_locale}/*/LC_MESSAGES/xitk.mo
%{_mandir}/de/man1/aaxine.1.gz
%{_mandir}/de/man1/xine.1.gz
%{_mandir}/de/man1/xine-bugreport.1.gz
%{_mandir}/de/man1/xine-check.1.gz
%{_mandir}/de/man1/xine-remote.1.gz
%{_mandir}/es/man1/aaxine.1.gz
%{_mandir}/es/man1/xine.1.gz
%{_mandir}/es/man1/xine-bugreport.1.gz
%{_mandir}/es/man1/xine-check.1.gz
%{_mandir}/es/man1/xine-remote.1.gz
%{_mandir}/fr/man1/xine.1.gz
%{_mandir}/man1/aaxine.1.gz
%{_mandir}/man1/xine.1.gz
%{_mandir}/man1/xine-bugreport.1.gz
%{_mandir}/man1/xine-check.1.gz
%{_mandir}/man1/xine-remote.1.gz
%{_mandir}/pl/man1/aaxine.1.gz
%{_mandir}/pl/man1/xine.1.gz
%{_mandir}/pl/man1/xine-remote.1.gz
%{_datadir}/mime/packages/xine-ui.xml
%{_pixmaps}/xine.xpm
%{_datadir}/xine/oxine
%{_datadir}/xine/skins/xine_splash.png
%{_datadir}/xine/skins/xinetic
%{_datadir}/xine/skins/xine-ui_logo.mpv
%{_datadir}/xine/visuals/default.avi


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Mar 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.99.6-1
- Version update
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 0.99.5-2
- rebuild against curl 7.17.7
* Fri May 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.99.5-1
- Version update
* Mon Oct 10 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.99.4-3
- rebuilt against xine-lib 1.0.3a
* Thu Jul 28 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.99.4-2
- Build fix
* Thu Jul 28 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.99.4-1
- Version Update
* Sat Jul 16 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.99.3-3
- rebuilt against openssl 0.9.8
* Mon Apr 18 2005 Christian Metzen <metzench@ccux-linux.de> 0.99.3-2
- Recompilation against readline 5.0
* Tue Mar 08 2005 Christian Metzen <metzench@ccux-linux.de> 0.99.3-1
- Version Update to 0.99.3
* Thu May 06 2004 Christian Metzen <metzench@ccux-linux.de> 0.99.1-1
- Initial Release
